#!/bin/sh

lAudioTip=$1

script_path=`echo $0 | awk -F '/' '{for(i=2;i<NF;i++) printf"/"$i}'`
echo $script_path

LowElectrMode=`cat $script_path/LowElectrMode.ini | ./busybox grep "LowElectrMode:" | ./busybox grep -v grep | sed 's/LowElectrMode://g' | sed 's/\r//g' | sed 's/\n//g' | sed "s/$(echo -e '\015')//g"`

if [ $? != 0 ]; then
	echo "cann't found LowElectrMode ini config file"
	exit -1
fi

if [ "$LowElectrMode" = "yes" ];then
	if [ ! -d "/mnt/mtd/FactoryCfg/" ];then
		mkdir -p /mnt/mtd/FactoryCfg/
	fi

	if [ -f "/mnt/mtd/FactoryCfg/Dev.fac" ];then
		rm -rf /mnt/mtd/FactoryCfg/Dev.fac
	fi

	cp -f LowElectrMode/Dev.fac /mnt/mtd/FactoryCfg/

	if [ ! -d "/mnt/mtd/Flags/" ];then
		mkdir -p /mnt/mtd/Flags/
	fi

	if [ "$lAudioTip" != "no" ];then
		./simple_adec_bind_ao -r 8000 -t g711a -i audio/LowElectrModeSetSucceed.pcm
	fi
fi

if [ "$LowElectrMode" = "no" ];then
	rm -rf /mnt/mtd/FactoryCfg/Dev.fac
	if [ "$lAudioTip" != "no" ];then
		./simple_adec_bind_ao -r 8000 -t g711a -i audio/LowElectrModeResetSucceed.pcm
	fi
fi
